Package net.shibboleth.idp.consent.logic.impl

# Class FlowIdLookupFunction

java.lang.Object
net.shibboleth.idp.consent.logic.impl.FlowIdLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `ContextDataLookupFunction<ProfileRequestContext,String>`

public class FlowIdLookupFunction extends Object implements ContextDataLookupFunction<ProfileRequestContext,String>
`ContextDataLookupFunction` that returns the current flow id.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`FlowIdLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### FlowIdLookupFunction

public FlowIdLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`